PUT /settings/integrations/\{type\}/\{id\}
PUT/settings/integrations/:type/:id
PUT /settings/integrations/{type}/{id}
Request
Path Parameters
type stringrequired
id int64required
- application/json-patch+json
- application/json
- text/json
- application/*+json
Body
id int64nullable
key stringnullable
type stringrequired
Possible values: non-empty
provider_key stringnullable
name stringnullable
config nullable
Body
id int64nullable
key stringnullable
type stringrequired
Possible values: non-empty
provider_key stringnullable
name stringnullable
config nullable
Body
id int64nullable
key stringnullable
type stringrequired
Possible values: non-empty
provider_key stringnullable
name stringnullable
config nullable
Body
id int64nullable
key stringnullable
type stringrequired
Possible values: non-empty
provider_key stringnullable
name stringnullable
config nullable
Responses
- 200
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
id int64nullable
key stringnullable
type stringrequired
Possible values: non-empty
provider_key stringnullable
name stringnullable
config nullable
{
"id": 0,
"key": "string",
"type": "string",
"provider_key": "string",
"name": "string"
}
- Schema
- Example (from schema)
Schema
id int64nullable
key stringnullable
type stringrequired
Possible values: non-empty
provider_key stringnullable
name stringnullable
config nullable
{
"id": 0,
"key": "string",
"type": "string",
"provider_key": "string",
"name": "string"
}
- Schema
- Example (from schema)
Schema
id int64nullable
key stringnullable
type stringrequired
Possible values: non-empty
provider_key stringnullable
name stringnullable
config nullable
{
"id": 0,
"key": "string",
"type": "string",
"provider_key": "string",
"name": "string"
}
Loading...